Jump to content
Sign in to follow this  
Lo_Spettro

WPS Issues

Recommended Posts

Hi,

I'm having trouble getting WPS to produce any scan results regardless of the interface or monitor mode I use. I'm familiar with kali-linux and so I'm not too much of a noob I don't think but I cannot for the life of me to get this module (with its dependencies installed on a microsd card as well as the WPS module itself) to produce any results.

Even when I manually enter the BSSID and ESSID and channel and other fields the module doesn't run. I'm upgraded to the latest firmware.

Share this post


Link to post
Share on other sites

There have been issues with the latest firmware waiting for community modules to be updated so they are compatible with OpenWRT 19.x in firmware 2.6.x

WPS when tested was not working on firmware 2.6.1 (latest firmware) so if you need the module to work do a firmware recovery (takes you to 2.4.1) and try the module.  Several users have reported most modules working that way.

Thread on tested modules in firmware 2.6.1

 

  • Like 1

Share this post


Link to post
Share on other sites

2.4.1 is ways down there but I will flash the firmware if it helps the module work. I also hope to use it in concert with kali linux or commando vm with another external adapter.

Share this post


Link to post
Share on other sites
13 hours ago, Cap_Sig said:

There have been issues with the latest firmware waiting for community modules to be updated so they are compatible with OpenWRT 19.x in firmware 2.6.x

WPS when tested was not working on firmware 2.6.1 (latest firmware) so if you need the module to work do a firmware recovery (takes you to 2.4.1) and try the module.  Several users have reported most modules working that way.

Thread on tested modules in firmware 2.6.1

 

Cap_Sig , thank you for your help. 2.4.1 is many releases back, but I've downloaded it. I'm just wondering if I first need to restore the nano to factory settings before downgrading the firmware or if I can just flash the firmware as is. I've done this before but it's been a while and I didn't go as far down as 2.4.1. I did it successfully, I just can't remember the steps I did to do it. I'm using this resource at the moment:  https://docs.hak5.org/hc/en-us/articles/360010471774-Firmware-Recovery

Share this post


Link to post
Share on other sites
10 hours ago, Lo_Spettro said:

Cap_Sig , thank you for your help. 2.4.1 is many releases back, but I've downloaded it. I'm just wondering if I first need to restore the nano to factory settings before downgrading the firmware or if I can just flash the firmware as is. I've done this before but it's been a while and I didn't go as far down as 2.4.1. I did it successfully, I just can't remember the steps I did to do it. I'm using this resource at the moment:  https://docs.hak5.org/hc/en-us/articles/360010471774-Firmware-Recovery

Just follow the steps in the link.  You just flash the firmware recovery bin.  It doesn't matter what your current firmware version is and no factory reset is required prior to doing so. 

Make SURE to use the firmware recovery bin from the download page and not a upgrade bin.

  • Like 1

Share this post


Link to post
Share on other sites
19 hours ago, Cap_Sig said:

Just follow the steps in the link.  You just flash the firmware recovery bin.  It doesn't matter what your current firmware version is and no factory reset is required prior to doing so. 

Make SURE to use the firmware recovery bin from the download page and not a upgrade bin.

Thank you!!

Share this post


Link to post
Share on other sites

Cap_Sig, I used the recovery image as instructed and everything looks good but I cannot get the pineapple to recognize my microsd card even when it says it has successfully formatted it. Was this feature supported back then?

Share this post


Link to post
Share on other sites
3 hours ago, Lo_Spettro said:

In any case, the scan will produce results now but the WPS module will still not run. Oh well

Thanks for info.  In the thread on module statuses that was recently reported as well by another user.  This confirms it as well.  Seems there is an issue with reaver and bully.

Share this post


Link to post
Share on other sites
On 9/22/2019 at 12:45 PM, Cap_Sig said:

Thanks for info.  In the thread on module statuses that was recently reported as well by another user.  This confirms it as well.  Seems there is an issue with reaver and bully.

Sure thing

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...